%define upstream_name	 HTML-Mason
%define upstream_version 1.59

# useless stuff pulled by ./eg/MyApp/MasonWithSession.pm
# Apache::Request is dead
%global __requires_exclude perl\\((Apache::Request|MasonX::Request::PlusApacheSession)\\)
%global __provides_exclude perl\\(My

%{?perl_default_filter}

Name:       mason
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Powerful Perl-based web site development and delivery engine
License:    GPL/Artistic
Group:      Networking/WWW
Url:        http://masonhq.com/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     HTML-Mason-1.32-netdisco.diff

BuildRequires: perl(CGI) >= 2.460.0
BuildRequires: perl(Cache::Cache) >= 1.0.0
BuildRequires: perl(Class::Container) >= 0.70.0
BuildRequires: perl(Exception::Class) >= 1.150.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(Log::Any) >= 0.80.0
BuildRequires: perl(Params::Validate) >= 0.700.0
BuildRequires: perl(Scalar::Util) >= 1.10.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: apache-mod_perl
BuildRequires: perl-libapreq2
Requires:   apache-mod_perl
Requires:   perl-HTML-Parser
Requires:   perl-libapreq2
Provides:   perl-HTML-Mason = %{version}-%{release}
Obsoletes:  perl-HTML-Mason
BuildArch:  noarch

%description
Mason allows web pages and sites to be constructed from shared, reusable
building blocks called components. Components contain a mix of Perl and HTML,
and can call each other and pass values back and forth like subroutines.
Components increase modularity and eliminate repetitive work: common design
elements (headers, footers, menus, logos) can be extracted into their own
components where they need be changed only once to affect the whole site.

Other Mason features include a graphical site previewing utility, an HTML/data
caching model, and the ability to walk through requests with the Perl debugger.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
export APACHE=%{_sbindir}/httpd
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install
rm -rf %{buildroot}%{_bindir}
install -d %{buildroot}/var/cache/%{name}
install -d %{buildroot}/var/www/%{name}

%files
%doc CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml UPGRADE eg samples
%{perl_vendorlib}/HTML
%attr(-,apache,apache) /var/cache/%{name}
/var/www/%{name}
%{_mandir}/man*/*

%changelog
* Mon May 18 2020 tv <tv> 1.590.0-1.mga8
+ Revision: 1585901
- update to 1.59

* Wed Feb 12 2020 umeabot <umeabot> 1.580.0-3.mga8
+ Revision: 1502025
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.580.0-2.mga7
+ Revision: 1279485
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 kekepower <kekepower> 1.580.0-1.mga7
+ Revision: 1217561
- Update to version 1.58

* Sat Jun 18 2016 pterjan <pterjan> 1.540.0-6.mga6
+ Revision: 1022157
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.540.0-5.mga6
+ Revision: 947705
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.540.0-4.mga5
+ Revision: 741893
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 tv <tv> 1.540.0-3.mga5
+ Revision: 736729
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 1.540.0-2.mga5
+ Revision: 682172
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Mon Feb 10 2014 jquelin <jquelin> 1.540.0-1.mga5
+ Revision: 588411
- update to 1.54

* Sat Oct 19 2013 umeabot <umeabot> 1.510.0-2.mga4
+ Revision: 527014
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.510.0-1.mga4
+ Revision: 439380
- update to 1.51

* Sat Jan 12 2013 umeabot <umeabot> 1.500.0-2.mga3
+ Revision: 359418
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.500.0-1.mga3
+ Revision: 295364
- update to 1.50

* Thu Feb 23 2012 jquelin <jquelin> 1.480.0-1.mga2
+ Revision: 212901
- update to 1.48

* Thu Nov 03 2011 jquelin <jquelin> 1.470.0-1.mga2
+ Revision: 162225
- update to 1.47
- update to 1.46

* Mon Jan 24 2011 jquelin <jquelin> 1.450.0-3.mga1
+ Revision: 37338
- rebuild
- mageia rebuild
- imported package mason

